package com.yidianling.user.modular_service

import android.app.Activity
import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.yidianling.user.api.service.IAppService


@Route(path = "/user/AppService")
class AppServiceImpl: IAppService {
    override fun mainIntent(activity: Activity) {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun mainIntent(context: Context, selectTab: Int, animation: Boolean) {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun myRedPockIntent(activity: Activity) {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun receiverRedPacketIntent(activity: Activity, param: String) {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun personalInfoIntent(activity: Activity) {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun rechargeIntent(activity: Activity) {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun splashIntent(activity: Activity) {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun feedBackIntent(activity: Activity) {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun sendRedPacketIntent(activity: Activity, toUid: String) {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun notificationSettingIntent(activity: Activity) {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun privacyIntent(activity: Activity) {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun init(context: Context?) {

    }

}